package com.fjhx.params.contract;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class SupplierStatisticsResult {

    /**
     * 标题类型
     * 0: 全部
     * 1: 50万以上
     * 2: 20-50万
     * 3: 10-20万
     * 4: 5-10万
     * 5: 5万以下
     */
    private Integer titleType;

    /**
     * 供应商信息列表
     */
    private List<SupplierInfo> supplierInfoList = new ArrayList<>();

    /**
     * 获取条数
     */
    public Integer getCount() {
        return supplierInfoList.size();
    }

    /**
     * 展示标题
     */
    public String getTitle() {
        switch (titleType) {
            case 0:
                return "全部";
            case 1:
                return "50万以上";
            case 2:
                return "20-50万";
            case 3:
                return "10-20万";
            case 4:
                return "5-10万";
            default:
                return "5万以下";
        }
    }

}
